-- This script removes unsed tables and table columns that were not removed in previous versions.
--
-- 1. remove the expense table because expense items are kept in the items table
DROP TABLE expense;

-- 2. remove the invoiceprojectid column because items are linked directly to the invoice
ALTER TABLE item DROP CONSTRAINT fk_item_invoiceprojectid;
ALTER TABLE item DROP COLUMN invoiceprojectid;

-- 3. remove the invoiceproject table because it's no longer used
DROP TABLE invoiceproject;

-- 4. remove the hash column because it's no longer used
ALTER TABLE business DROP COLUMN hash;

-- 5. remove the billing and elapsedtime columns because they are no longer used
ALTER TABLE item DROP COLUMN billing;
ALTER TABLE item DROP COLUMN elapsedtime;

-- 6. remove the type column because it's no longer used
ALTER TABLE service DROP COLUMN type;